### Name: GDALMajorObject-class
### Title: Class "GDALMajorObject"
### Aliases: GDALMajorObject-class getDescription getMetadata setMetadata
###   appendMetadata
### Keywords: classes

### ** Examples


driver <- new('GDALDriver', getGDALDriverNames()[1])
setMetadata(driver, list(Key = 'Test metadata'))
getMetadata(driver)
rm(driver)
logo <- system.file("pictures/logo.jpg", package="rgdal")[1]
x <- new("GDALReadOnlyDataset", logo)
getDescription(x)
getMetadata(x)
dim(x)
GDAL.close(x)




